<?php
include('../_cfg/config.php');
include('php_gene1.php');

$tabla='comp';
$lbFlag = 0 ;
if(isset($_POST['docu']) && !empty($_POST['docu']))
{
   $sql_docu='select * from docu0 where docu_codigo like "'.$_POST['docu'].'"';
   $res_docu=msql_query($sql_docu,$link_vcrx);
   $tabla=msql_result($res_docu,0,'docu_tabla');
}


$provu_sql  = 'update '.$tabla.'1 set ';
  
if((isset($_POST['iddet']) && !empty($_POST['iddet']) && $_POST['iddet']!='undefined') || 
   (isset($_POST['prrta']) && !empty($_POST['prrta']) && $_POST['prrta']!='undefined') ||
   (isset($_POST['priva']) && !empty($_POST['priva']) && $_POST['priva']!='undefined') ||
   (isset($_POST['comi'])  && !empty($_POST['comi'])  && $_POST['comi']!='undefined')  ||
   (isset($_POST['tercero'])  && !empty($_POST['tercero'])  && $_POST['tercero']!='undefined')  )
{
  $provu_sql='update '.$tabla.'2 set ';
  $lbFlag = 1;
}

if(isset($_POST['impo']) && !empty($_POST['impo']) && $_POST['impo']!='undefined')
{$provu_sql.=' impor="'.$_POST['impo'].'",';}

if(isset($_POST['suco']) && !empty($_POST['suco']) && $_POST['suco']!='undefined')
{$provu_sql.=' suco="'.$_POST['suco'].'",';}

if(isset($_POST['fpag']) && !empty($_POST['fpag']) && $_POST['fpag']!='undefined')
{$provu_sql.=' fpag="'.$_POST['fpag'].'",';}

if(isset($_POST['atrz']) && !empty($_POST['atrz']) && $_POST['atrz']!='undefined')
{$provu_sql.=' atrz="'.$_POST['atrz'].'",';}

if(isset($_POST['avance']) && !empty($_POST['avance']) && $_POST['avance']!='undefined')
{$provu_sql.=' avance="'.$_POST['avance'].'",';}

if(isset($_POST['fcobro']) && !empty($_POST['fcobro']) && $_POST['fcobro']!='undefined')
{$provu_sql.=' fcobro="'.$_POST['fcobro'].'",';}

if(isset($_POST['numfac']) && !empty($_POST['numfac']) && $_POST['numfac']!='undefined')
{$provu_sql.=' numfac="'.$_POST['numfac'].'",';}

if(isset($_POST['caja']) && !empty($_POST['caja']) && $_POST['caja']!='undefined')
{$provu_sql.=' caja="'.$_POST['caja'].'",';}

if(isset($_POST['efectivo']) && !empty($_POST['efectivo']) && $_POST['efectivo']!='undefined')
{$provu_sql.=' efectivo="'.$_POST['efectivo'].'",';}

if(isset($_POST['compensa']) && !empty($_POST['compensa']) && $_POST['compensa']!='undefined')
{$provu_sql.=' compensa="'.$_POST['compensa'].'",';}


if(isset($_POST['toenti']) && !empty($_POST['toenti']) && $_POST['toenti']!='undefined')
{$provu_sql.=' toenti="'.$_POST['toenti'].'",';}

if(isset($_POST['enti_xcp']) && !empty($_POST['enti_xcp']) && $_POST['enti_xcp']!='undefined')
{$provu_sql.=' enti_xcp="'.$_POST['enti_xcp'].'",';}

//*** XMA
if(isset($_POST['prrta']) && !empty($_POST['prrta']) && $_POST['prrta']!='undefined')
{$provu_sql.=' prrta="'.$_POST['prrta'].'",';}

if(isset($_POST['priva']) && !empty($_POST['priva']) && $_POST['priva']!='undefined')
{$provu_sql.=' priva="'.$_POST['priva'].'",';}

if(isset($_POST['comi']) && !empty($_POST['comi']) && $_POST['comi']!='undefined')
{$provu_sql.=' comi="'.$_POST['comi'].'",';}

if(isset($_POST['tercero']) && !empty($_POST['tercero']) && $_POST['tercero']!='undefined')
{$provu_sql.=' tercero="'.$_POST['tercero'].'",';}

//*** XMA
  
if(isset($_POST['item']) && !empty($_POST['item']) && $_POST['item']!='undefined')
{$provu_sql.=' item="'.$_POST['item'].'",';}

if(isset($_POST['facon']) && !empty($_POST['facon']) && $_POST['facon']!='undefined')
{$provu_sql.=' facon="'.$_POST['facon'].'",';}



if(isset($_POST['cair']) && !empty($_POST['cair']) && $_POST['cair']!='undefined')
{$provu_sql.=' cair="'.$_POST['cair'].'",';}

if(isset($_POST['ctas']) && !empty($_POST['ctas']) && $_POST['ctas']!='undefined')
{$provu_sql.=' ctas="'.$_POST['ctas'].'",';}

if(isset($_POST['cant']) && !empty($_POST['cant']) && $_POST['cant']!='undefined')
{$provu_sql.=' cant="'.$_POST['cant'].'",';}

if(isset($_POST['puni']) && !empty($_POST['puni']) && $_POST['puni']!='undefined')
{$provu_sql.=' puni="'.$_POST['puni'].'",';}


//if(isset($_POST['iddet']) && !empty($_POST['iddet']) && $_POST['iddet']!='undefined')
if ($lbFlag == 1)
{
   $provu_sql.=' iddet=iddet ';
   $provu_sql.=' where idnum2="'.$_POST['idnum'].'" and iddet="'.$_POST['iddet'].'"';
}
else
{
   $provu_sql.=' numero=numero ';
   $provu_sql.=' where idnum1="'.$_POST['idnum'].'"';
}

//echo "*** / Sentencia Sql: ".$provu_sql." / ***";

if(msql_query($provu_sql,$link_vcrx))
{echo 'OK '.date("H:i:s");}
else
{echo '* NO se actualizo *';}

// echo '*/*/*/*'.$_POST['docu'].$_POST['idnum'];
// echo '*/*/*/*'.$provu_sql;

if($_POST['docu']=='FP10')
{updt_compitem($_POST['docu'],$_POST['idnum']);}

vali_regidocu($_POST['docu'],$_POST['idnum']);

if(isset($_POST['ctas']) && !empty($_POST['ctas']) && $_POST['ctas']!='undefined')
{gen_contab($_POST['docu'],$_POST['idnum']);}
?>